## php-twig 3.19.0

=== debian/changelog ===
php-twig (3.19.0-1) unstable; urgency=medium

  * Source-only upload for testing migration

 -- David Prévot <taffit@debian.org>  Wed, 29 Jan 2025 23:32:18 +0100

php-twig (3.19.0-1~bootstrap) unstable; urgency=medium

  [ Fabien Potencier ]
  * Make {} optional for the types tag
  * Fix constant() behavior when used with ??
  * Deprecate Twig\ExpressionParser::parseOnlyArguments() and
    Twig\ExpressionParser::parseArguments()
  * Add ForElseNode
  * Deprecate Token::getType()
  * [SECURITY] Fix a security issue where escaping was missing when using ??
    [CVE-2025-24374]
  * Prepare the 3.19.0 release

  [ Jérôme Tamarelle ]
  * Add `LastModifiedExtensionInterface` and implementation in
    `AbstractExtension` to track modification of runtime classes

  [ Lorenz ]
  * invoke filter

  [ Nicolas Grekas ]
  * Ignore static properties when using the dot operator

  [ David Prévot ]
  * Drop versioned dependency for autopkgtest

 -- David Prévot <taffit@debian.org>  Wed, 29 Jan 2025 18:59:21 +0100
