## php-twig 3.20.0

=== debian/changelog ===
php-twig (3.20.0-2) unstable; urgency=medium

  * Restore autoload template building
  * Use php-parsedown 1 for tests

 -- David Prévot <taffit@debian.org>  Wed, 19 Feb 2025 07:20:19 +0100

php-twig (3.20.0-1) unstable; urgency=medium

  * Source-only upload for testing migration

 -- David Prévot <taffit@debian.org>  Sat, 15 Feb 2025 16:18:25 +0100

php-twig (3.20.0-1~bootstrap) unstable; urgency=medium

  [ Doeke Norg ]
  * Added configuration for commonmark use in twig-extra-bundle.

  [ Fabien Potencier ]
  * Bump min PHP version to 8.1
  * Prepare the 3.20.0 release

  [ Christophe Coevoet ]
  * Add support for registered undefined element callbacks in tests
  * Fix support for ignoring syntax erros in an undefined handler in guard

  [ PrinsFrank ]
  * Fix timezone conversion on strings

  [ David Prévot ]
  * Compatibility with recent PHPUnit (12)

 -- David Prévot <taffit@debian.org>  Sat, 15 Feb 2025 15:55:48 +0100
