=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
                php-league-html-to-markdown,
                php-lorenzo-pinky,
                php-mbstring,
-               php-parsedown,
+               php-parsedown (<< 2),
                php-psr-container,
                php-symfony-deprecation-contracts,
                php-symfony-framework-bundle,
