## php-twig 3.21.1

=== debian/changelog ===
php-twig (3.21.1-3) unstable; urgency=medium

  * Source-only upload for testing migration

 -- David Prévot <taffit@debian.org>  Sun, 21 Sep 2025 13:49:13 +0200

php-twig (3.21.1-2) unstable; urgency=medium

  * Upload to unstable now that trixie has been released
  * PHPunit 12 compatibility: additional fixes
  * Remove Rules-Requires-Root
  * Fix intl test

 -- David Prévot <taffit@debian.org>  Fri, 19 Sep 2025 11:59:25 +0200

php-twig (3.21.1-1) experimental; urgency=medium

  * Upload to experimental during the freeze

  [ Fabien Potencier ]
  * Introduce operator classes to describe operators provided by extensions
    instead of arrays
  * Fix testing and expression when it evaluates to an instance of Markup
  * Prepare the 3.21.1 release

  [ Jérôme Tamarelle ]
  * Create attributes `AsTwigFilter`, `AsTwigFunction` and `AsTwigTest` to
    ease extension development

  [ David Prévot ]
  * Update Standards-Version to 4.7.2

 -- David Prévot <taffit@debian.org>  Sat, 03 May 2025 23:07:16 +0200
