=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
 Section: php
 Priority: optional
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-phpcomposer,
                dh-sequence-sphinxdoc,
@@ -31,7 +31,6 @@
 Homepage: https://twig.symfony.com
 Vcs-Browser: https://salsa.debian.org/php-team/pear/twig
 Vcs-Git: https://salsa.debian.org/php-team/pear/twig.git
-Rules-Requires-Root: no
 
 Package: php-twig
 Architecture: all
