=== debian/rules ===
--- 
+++ 
@@ -91,7 +91,7 @@
 	 done
 
 override_dh_auto_test:
-	SYMFONY_DEPRECATIONS_HELPER=weak phpunit
+	SYMFONY_DEPRECATIONS_HELPER=weak phpunit --exclude-group nophpunit12
 	# testsuite for extra packages
 	set -e; \
 	 for package_info_file in $$(find debian/packages_to_build/ -mindepth 1 -maxdepth 1 -type f); do \
