## php-twig 3.22.0

=== debian/changelog ===
php-twig (3.22.0-2) unstable; urgency=medium

  * Source-only upload for testing migration

 -- David Prévot <taffit@debian.org>  Sat, 01 Nov 2025 09:53:03 +0100

php-twig (3.22.0-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Fix compatibility layer
  * Update CHANGELOG

  [ Simon André ]
  * Compile 'index' with repr (not string) in EmbedNode

  [ Doeke Norg ]
  * Update configuration keys + allow extra keys for extensions

  [ Vincent Langlet ]
  * Support two words test guard

  [ Nicolas Grekas ]
  * Fix compatibility with Symfony 8
  * Fix accessing arrays with stringable objects as key

  [ Christophe Coevoet ]
  * Avoid errors when failing to guess the template info for an error

  [ David Prévot ]
  * Make phpab tolerant
  * debian/control: Document nocheck flags

 -- David Prévot <taffit@debian.org>  Sat, 01 Nov 2025 09:35:31 +0100
