=== debian/control ===
--- 
+++ 
@@ -13,19 +13,19 @@
                php-league-commonmark,
                php-league-html-to-markdown,
                php-lorenzo-pinky,
-               php-mbstring,
-               php-parsedown (<< 2),
-               php-psr-container,
+               php-mbstring <!nocheck>,
+               php-parsedown (<< 2) <!nocheck>,
+               php-psr-container <!nocheck>,
                php-symfony-deprecation-contracts,
                php-symfony-framework-bundle,
                php-symfony-intl,
                php-symfony-mime,
-               php-symfony-phpunit-bridge,
+               php-symfony-phpunit-bridge <!nocheck>,
                php-symfony-string,
                php-symfony-twig-bundle,
                php-tijsverkoyen-css-to-inline-styles,
                phpab,
-               phpunit,
+               phpunit <!nocheck>,
                python3-sphinx,
                re2c
 Homepage: https://twig.symfony.com
