=== debian/rules ===
--- 
+++ 
@@ -84,6 +84,7 @@
 	   phpabtpl --basedir $$src_path $$src_path/composer.json > debian/$$deb_pkg_name.autoload.php.tpl; \
 	   phpab \
 	        --blacklist '*\\tests\\*' \
+		--tolerant \
 		--output $$src_path/autoload.php \
 		--template debian/$$deb_pkg_name.autoload.php.tpl \
 		$$src_path; \
