## php-twig 3.22.1

=== debian/changelog ===
php-twig (3.22.1-3) unstable; urgency=medium

  * [Intl] Update data to ICU 78.1
  * Require recent php-symfony-intl for changed tests

 -- David Prévot <taffit@debian.org>  Fri, 05 Dec 2025 18:49:10 +0100

php-twig (3.22.1-2) unstable; urgency=medium

  * Source-only upload

 -- David Prévot <taffit@debian.org>  Mon, 17 Nov 2025 08:39:08 +0100

php-twig (3.22.1-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 3.22.1 release

  [ Javier Eguiluz ]
  * Allow Symfony 8 packages in Twig extra packages

  [ Andreas Erhard ]
  * Add caution note for random function usage

 -- David Prévot <taffit@debian.org>  Mon, 17 Nov 2025 08:12:49 +0100
