=== debian/control ===
--- 
+++ 
@@ -18,7 +18,7 @@
                php-psr-container <!nocheck>,
                php-symfony-deprecation-contracts,
                php-symfony-framework-bundle,
-               php-symfony-intl,
+               php-symfony-intl (>= 5.4.30),
                php-symfony-mime,
                php-symfony-phpunit-bridge <!nocheck>,
                php-symfony-string,
