=== debian/tests/control ===
--- 
+++ 
@@ -5,6 +5,7 @@
          php-league-html-to-markdown,
          php-parsedown (<< 2),
          php-psr-container,
+         php-symfony-intl (>= 7.4.0),
          php-symfony-phpunit-bridge,
          phpab,
          phpunit,
