## php-twig 3.22.2

=== debian/changelog ===
php-twig (3.22.2-2) unstable; urgency=medium

  * Source-only upload

 -- David Prévot <taffit@debian.org>  Mon, 15 Dec 2025 09:53:23 +0100

php-twig (3.22.2-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Update CHANGELOG
  * Prepare the 3.22.2 release

  [ Younes ENNAJI ]
  * [Core] Fix cycle() with non-countable ArrayAccess+Traversable objects

  [ Tac Tacelosky ]
  * use getShareDir as an indicator of Symfony version

  [ Andreas ]
  * Avoid ord deprecation in PHP 8.5

  [ David Prévot ]
  * Revert "Require recent php-symfony-intl for changed tests"

 -- David Prévot <taffit@debian.org>  Sun, 14 Dec 2025 14:22:16 +0100
