## php-twig 3.23.0

=== debian/changelog ===
php-twig (3.23.0-2build7) resolute; urgency=medium

  * Back in sync with Debian

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 14 Feb 2026 10:18:27 +0100

php-twig (3.23.0-2) unstable; urgency=medium

  * Compatibility with recent PHPUnit (13)

 -- David Prévot <taffit@debian.org>  Sat, 07 Feb 2026 11:55:14 +0100

php-twig (3.23.0-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Fix spread operator behavior
  * Add === and !== operators
  * Add the = assignment operator
  * Add support for object and mapping destructuring
  * Update CHANGELOG

  [ Ondřej Machulda ]
  * Fix opcache preload warning for unlinked anonymous class

  [ Felds Liscia ]
  * Add null-safe operator

  [ David Prévot ]
  * Convert d/watch to version 5
  * Update build for related path
  * Update Standards-Version to 4.7.3

 -- David Prévot <taffit@debian.org>  Sat, 24 Jan 2026 11:29:15 +0100
