=== debian/rules ===
--- 
+++ 
@@ -21,41 +21,44 @@
 	 doc debian/build-tmp/php-twig-doc
 	# php-twig
 	phpabtpl --basedir src composer.json > debian/autoload.php.tpl
+	sed -i "s#'/usr/share/php/Symfony#__DIR__.'/../Symfony#" debian/autoload.php.tpl
 	phpab \
 		--output src/autoload.php \
 		--template debian/autoload.php.tpl \
 		src
 	# php-twig testsuite
-	mkdir --parents vendor Twig/Extra
+	mkdir --parents vendor
 	phpabtpl \
 		--require psr/container \
 		--require symfony/phpunit-bridge \
 		--require erusev/parsedown \
 		--require league/commonmark \
 		--require league/html-to-markdown \
-		--require twig/twig \
-		--require-file ../extra/twig-extra-bundle/autoload.php \
-		--require-file ../extra/cache-extra/autoload.php \
-		--require-file ../extra/cssinliner-extra/autoload.php \
-		--require-file ../extra/html-extra/autoload.php \
-		--require-file ../extra/inky-extra/autoload.php \
-		--require-file ../extra/intl-extra/autoload.php \
-		--require-file ../extra/markdown-extra/autoload.php \
-		--require-file ../extra/string-extra/autoload.php \
+		--require-file ../Twig/autoload.php \
+		--require-file ../Twig/Extra/TwigExtraBundle/autoload.php \
+		--require-file ../Twig/Extra/Cache/autoload.php \
+		--require-file ../Twig/Extra/CssInliner/autoload.php \
+		--require-file ../Twig/Extra/Html/autoload.php \
+		--require-file ../Twig/Extra/Inky/autoload.php \
+		--require-file ../Twig/Extra/Intl/autoload.php \
+		--require-file ../Twig/Extra/Markdown/autoload.php \
+		--require-file ../Twig/Extra/String/autoload.php \
 	> debian/autoload.tests.php.tpl
 	phpab 	--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \
 		tests extra/*/Tests
 	# Mimic install path
 	ln -s src Twig
-	ln -s ../../extra/cache-extra Twig/Extra/Cache
-	ln -s ../../extra/cssinliner-extra Twig/Extra/CssInliner
-	ln -s ../../extra/html-extra Twig/Extra/Html
-	ln -s ../../extra/inky-extra Twig/Extra/Inky
-	ln -s ../../extra/intl-extra Twig/Extra/Intl
-	ln -s ../../extra/markdown-extra Twig/Extra/Markdown
-	ln -s ../../extra/string-extra Twig/Extra/String
-	ln -s ../../extra/twig-extra-bundle Twig/Extra/TwigExtraBundle
+	mkdir --parents Twig/Extra
+	cp -a extra/cache-extra Twig/Extra/Cache
+	cp -a extra/cssinliner-extra Twig/Extra/CssInliner
+	cp -a extra/html-extra Twig/Extra/Html
+	cp -a extra/inky-extra Twig/Extra/Inky
+	cp -a extra/intl-extra Twig/Extra/Intl
+	cp -a extra/markdown-extra Twig/Extra/Markdown
+	cp -a extra/string-extra Twig/Extra/String
+	cp -a extra/twig-extra-bundle Twig/Extra/TwigExtraBundle
+	cp -a /usr/share/php/Symfony .
 	# php-twig extra
 	# Parts from the symfony package’s debian/rules.
 	mkdir --parents debian/packages_to_build debian/autoloaders
@@ -73,7 +76,7 @@
 	   deb_pkg_name=php-$$(cat $$src_path/composer.json | jq -r '.name | tostring' | sed -r 's|/|-|'); \
 	   if [ $$(grep -c -E -e "^Package: $$deb_pkg_name\$$" debian/control) -ne 1 ]; then \
 	    echo "W: No Debian package '$$deb_pkg_name' defined in debian/control," 1>&2; \
-	    echo "   therefor not considering Symfony $$src_path," 1>&2; \
+	    echo "   therefor not considering Twig $$src_path," 1>&2; \
 	    continue; \
 	   fi; \
 	   echo "# This file contains some variables sourced" > debian/packages_to_build/$$deb_pkg_name; \
@@ -82,6 +85,8 @@
 	   echo "src_path='$$src_path'" >> debian/packages_to_build/$$deb_pkg_name; \
 	   echo "twig $${deb_pkg_name#php-twig-} $$src_path/autoload.php" > debian/autoloaders/$$deb_pkg_name; \
 	   phpabtpl --basedir $$src_path $$src_path/composer.json > debian/$$deb_pkg_name.autoload.php.tpl; \
+	   sed -i "s#'/usr/share/php/Twig#__DIR__.'/../..#" debian/$$deb_pkg_name.autoload.php.tpl; \
+	   sed -i "s#'/usr/share/php/Symfony#__DIR__.'/../../../Symfony#" debian/$$deb_pkg_name.autoload.php.tpl; \
 	   phpab \
 	        --blacklist '*\\tests\\*' \
 		--tolerant \
@@ -92,7 +97,14 @@
 	 done
 
 override_dh_auto_test:
-	SYMFONY_DEPRECATIONS_HELPER=weak phpunit --exclude-group nophpunit12
+	# Mimic install path
+	cp -a /usr/share/php/DeepCopy .
+	cp -a /usr/share/php/PharIo .
+	cp -a /usr/share/php/PHPUnit .
+	cp -a /usr/share/php/Psr .
+	cp -a /usr/share/php/SebastianBergmann .
+	cp -a /usr/share/php/staabm .
+	SYMFONY_DEPRECATIONS_HELPER=weak phpunit
 	# testsuite for extra packages
 	set -e; \
 	 for package_info_file in $$(find debian/packages_to_build/ -mindepth 1 -maxdepth 1 -type f); do \
@@ -107,6 +119,7 @@
 
 override_dh_install:
 	dh_install --package=php-twig --package=php-twig-doc -X/Extra/
+	rm -rf debian/php-twig/usr/share/php/Twig/Extra/ # -X/Extra/ is not enough
 	# In debian/packages_to_build/ a file containing shell variables exists
 	# for each package that should be build. Source one file after another
 	# to make the shell variables available and run dh_install in order to
